#!/bin/sh
#
# 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1988
# LICENSED MATERIALS - PROPERTY OF IBM
# REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
#
# $Header:tailor.netdev.sh 12.0$ 
# $ACIS:tailor.netdev.sh 12.0$ 
# $Source: /ibm/acis/usr/src/etc/tailor/RCS/tailor.netdev.sh,v $ 

#Usage: tailor.netdev netdev
if grep -s '^network=' /etc/rc.config 2>/dev/null #Put net device in rc.config.
then
      sed "s/^network=.*/network=${1}/g" /etc/rc.config > /etc/rc.config.new
      mv /etc/rc.config.new /etc/rc.config
else
      echo "network=${1}" >> /etc/rc.config
fi
chmod 644 /etc/rc.config
exit 0
